OPEN API
  1. Fault Codes
OPEN API
  • Organization Info
    • Get information about your organization
      GET
  • Drivers
    • List all drivers
      GET
    • Retrieve a driver
      GET
  • Hours Of Service
    • Get HOS clocks
      GET
    • Get all driver HOS daily logs
      GET
    • Get HOS logs
      GET
  • Vehicles
    • List all vehicles
      GET
    • Retrieve a vehicle
      GET
  • Assets
    • List Assets
      GET
    • Get Asset
      GET
    • Latest Asset Locations
      GET
  • Fault Codes
    • List Fault Code Events
      GET
  • Vehicle Locations
    • Historical Vehicle Locations
      GET
    • Latest Vehicle Locations
      GET
  • Trips
    • Get Vehicle Trips
      GET
  • Vehicle Stats
    • Vehicle Stats snapshot
      GET
  • Maintenance
    • Get all DVIRs
      GET
  • IFTA
    • Get IFTA jurisdiction reports
      GET
  • Safety
    • List Safety Events
    • Get Safety Event
    • Get Last Snapshot
    • Get Live Snapshot
  • Webhook
    • Sample Webhook request for specific trigger
    • Subscribe to specific immediately events
    • Available list of Triggers
    • Unsubscribe form events
  • Schemas
    • Schemas
      • CompanyResponse
      • DriverResponse
      • TimezoneEnum
      • TripLocation
      • TripStartEnd
      • VehicleResponse
    • AvailableTime
    • Asset
    • CompanyDetail
    • AssetLocationItem
    • AssetsResponse
    • CurrentStatusEnum
    • DVIRList
    • Driver
    • DVIRTrailerDefects
    • DriverLicense
    • DVIRVehicle
    • DVIRVehicleDefects
    • HosDailyLogs
    • HosDailyLogsResponse
    • HosLogsResponse
    • ForVehicleLocationResponse
    • LicensePlate
    • Location
    • PaginatedDriverList
    • IFTAItem
    • FaultCodeEvent
    • PaginatedHosLogsResponseList
    • IFTAReport
    • PaginatedTripResponseList
    • PaginatedVehicleList
    • PaginatedVehicleLocationResponseList
    • OpenAPIWebhookSubscribeRequest
    • HosLogAddress
    • Response
    • OpenAPIWebhookUnsubscribeRequest
    • HosLogLocation
    • Result
    • StatusEnum
    • PaginatedDVIRListList
    • StatusDurations
    • VehicleRoute
    • PaginatedIFTAReportList
    • PaginatedForVehicleLocationResponseList
    • TripResponse
    • VehicleRouteLocation
    • VehicleRouteStartEnd
    • NullEnum
    • Vehicle
    • VehicleSResponse
    • VehicleLocationResponse
    • VehicleStats
    • PaginatedWebhookTriggerList
    • PaginatedAssetLocationItemList
    • PaginatedFaultCodeEventList
    • WebhookTrigger
    • SafetyEvent
    • SafetyEventsResponse
    • SafetySnapshot
    • SafetySnapshotParamsRequest
    • TypeEnum
  1. Fault Codes

List Fault Code Events

GET
https://api.firsteld.com/openapi/fault-codes/events/
List all fault code events from vehicle DTC (J1939, OBD-II). List Fault Code Events compatible.

Request

Query Params

Responses

🟢200
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api.firsteld.com/openapi/fault-codes/events/?page&page_size&modifiedAfter&modifiedBefore&startAt&endAt&vehicleIds'
Response Response Example
{
    "count": 10,
    "page_size": 123,
    "previous": null,
    "current": 1,
    "next": 2,
    "results": [
        {
            "count": 10,
            "page_size": 50,
            "previous": null,
            "current": 1,
            "next": 2,
            "results": [
                {
                    "id": "550e8400-e29b-41d4-a716-446655440000",
                    "vehicle": "770e8400-e29b-41d4-a716-446655440002",
                    "code": "0000007F",
                    "protocol": "j1939",
                    "status": "open",
                    "observedAt": "2024-01-15T14:30:00.000Z",
                    "description": "SPN: 0 – Unidentified FMI: 0 Count: 127",
                    "metadata": {
                        "addedAt": "2024-01-15T14:30:00.000Z",
                        "modifiedAt": "2024-01-15T14:30:00.000Z"
                    },
                    "j1939": {
                        "spn": 0,
                        "spnDescription": "SPN: 0 – Unidentified FMI: 0 Count: 127",
                        "occurrenceCount": 127
                    }
                },
                {
                    "id": "660e8400-e29b-41d4-a716-446655440001",
                    "vehicle": "770e8400-e29b-41d4-a716-446655440002",
                    "code": "P0087",
                    "protocol": "obdii",
                    "status": "open",
                    "observedAt": "2024-01-15T14:25:00.000Z",
                    "description": "Fuel Rail/System Pressure - Too Low Bank 1",
                    "metadata": {
                        "addedAt": "2024-01-15T14:25:00.000Z",
                        "modifiedAt": "2024-01-15T14:25:00.000Z"
                    },
                    "obdii": {
                        "code": "P0087",
                        "description": "Fuel Rail/System Pressure - Too Low Bank 1"
                    }
                }
            ]
        }
    ]
}
Modified at 2026-03-03 20:51:36
Previous
Latest Asset Locations
Next
Historical Vehicle Locations
Built with